com.amazonaws.services.simpleworkflow.model

## Enum DecisionType

- java.lang.Object
- - java.lang.Enum<DecisionType>
  - - com.amazonaws.services.simpleworkflow.model.DecisionType

All Implemented Interfaces:
  Serializable, Comparable<DecisionType>

    public enum DecisionType
    extends Enum<DecisionType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CancelTimer`
`CancelWorkflowExecution`
`CompleteWorkflowExecution`
`ContinueAsNewWorkflowExecution`
`FailWorkflowExecution`
`RecordMarker`
`RequestCancelActivityTask`
`RequestCancelExternalWorkflowExecution`
`ScheduleActivityTask`
`ScheduleLambdaFunction`
`SignalExternalWorkflowExecution`
`StartChildWorkflowExecution`
`StartTimer`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DecisionType` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static DecisionType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DecisionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ScheduleActivityTask

    public static final DecisionType ScheduleActivityTask

#### RequestCancelActivityTask

    public static final DecisionType RequestCancelActivityTask

#### CompleteWorkflowExecution

    public static final DecisionType CompleteWorkflowExecution

#### FailWorkflowExecution

    public static final DecisionType FailWorkflowExecution

#### CancelWorkflowExecution

    public static final DecisionType CancelWorkflowExecution

#### ContinueAsNewWorkflowExecution

    public static final DecisionType ContinueAsNewWorkflowExecution

#### RecordMarker

    public static final DecisionType RecordMarker

#### StartTimer

    public static final DecisionType StartTimer

#### CancelTimer

    public static final DecisionType CancelTimer

#### SignalExternalWorkflowExecution

    public static final DecisionType SignalExternalWorkflowExecution

#### RequestCancelExternalWorkflowExecution

    public static final DecisionType RequestCancelExternalWorkflowExecution

#### StartChildWorkflowExecution

    public static final DecisionType StartChildWorkflowExecution

#### ScheduleLambdaFunction

    public static final DecisionType ScheduleLambdaFunction

### Method Detail

#### values

    public static DecisionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DecisionType c : DecisionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DecisionType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<DecisionType>`

#### fromValue

    public static DecisionType fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  DecisionType corresponding to the value